ChainAnalyticsService
Get Zipped Asset Supply
Get route-scoped zipped asset supply chart columns.
Request
curl --request GET \ \ --url 'https://api.testnet.polyester.com/v1/chain/analytics/zipped-asset-supply?bucket=1m&endTsSec=1735689600&end_ts_sec=1735689600&range=1d&startTsSec=1735689600&start_ts_sec=1735689600&zippedAssetId=100&zipped_asset_id=100' \ --header 'Accept: */*' \ --header 'X-API-KEY-ID: YOUR_API_KEY_ID' \ --header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \ --header 'X-API-SIGNATURE: YOUR_API_SIGNATURE'
Responses
{
"bucket": "1m",
"endTsSec": 1735689600,
"points": 1,
"range": "1d",
"startTsSec": 1735689600,
"totalSupply": [
"0.0000001"
],
"zippedAssetId": 100
}Optional bucket duration. Valid buckets depend on range and must keep chart density useful.
Optional inclusive end timestamp in seconds since Unix epoch.
Optional inclusive end timestamp in seconds since Unix epoch.
History window. Defaults to 1d.
Optional inclusive start timestamp in seconds since Unix epoch.
Optional inclusive start timestamp in seconds since Unix epoch.
Zipped asset route identifier.
Zipped asset route identifier.
Resolved bucket duration.
1mLast bucket timestamp in seconds since Unix epoch.
1735689600Number of buckets represented by each value column.
1Resolved history window.
1dFirst bucket timestamp in seconds since Unix epoch.
1735689600Total zToken supply per bucket scaled by the unified asset's AssetConfig.quantity_scale from SpotConfig for this zipped asset. Decode: total_supply_q / 10^quantity_scale.
["0.0000001"]Zipped asset route identifier.
100| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |